Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.foundation
Interface BusinessSmartWorkArea

public interface BusinessSmartWorkArea
extends Entity

The home interface for the BusinessSmartWorkArea entity bean. Use this class to create, remove, and find BusinessSmartWorkArea entity beans. BusinessSmartWorkArea is an internal entity bean that provides system storage for BusinessSmartEngine. No one should use this bean directly.

     Primary Key = theory.smart.foundation.BusinessSmartWorkAreaPk

                      identifier
     [BusinessSmartWorkArea] <*>------> [String] (Primary Key)

                      value
     [BusinessSmartWorkArea] <*>------> [theory.smart.foundation.BusinessSmartWorkAreaValue]

See Also:
  `BusinessSmartWorkAreaPk`, `BusinessSmartWorkAreaHome`, `BusinessSmartWorkAreaImpl`, `BusinessSmartWorkAreaValue`

Method Summary
`java.lang.String` | `getIdentifier()`
`BusinessSmartWorkAreaValue` | `getValue()` Get the value of value
`void` | `setValue(BusinessSmartWorkAreaValue value)` Set the value of value

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getIdentifier

    public java.lang.String getIdentifier()
                                   throws java.rmi.RemoteException

### getValue

    public BusinessSmartWorkAreaValue getValue()
                                        throws java.rmi.RemoteException

  Get the value of value
  Returns:
    value.

### setValue

    public void setValue(BusinessSmartWorkAreaValue value)
                  throws java.rmi.RemoteException

  Set the value of value
  Parameters:
    `values` - value to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.